%global momorel 2
%global md5sum_src0 0b9aa12c473e0be61dc324b059c106e3
Summary: gnome-icon-theme
Name: gnome-icon-theme
Version: 2.18.0
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.18/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://www.gnome.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: icon-naming-utils >= 0.8.2
Requires: hicolor-icon-theme
PreReq: gtk2-common

%description
gnome icon theme

%prep
%setup -q

%build
%configure --disable-hicolor-check --enable-pkgconfigdir=%{_libdir}/pkgconfig
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} pkgconfigdir=%{_libdir}/pkgconfig install

# make copy of gnome to hicolor
cp -a %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/hicolor

# conflict with index.theme from hicolor-icon-theme
rm -f %{buildroot}/%{_datadir}/icons/hicolor/index.theme

# conflict icons
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/file-roller.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-pgp-signature.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/actions/exit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/actions/next.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/actions/player_record.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kedit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kfm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/khelpcenter.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/konsole.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kuser.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/actions/exit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/actions/next.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/actions/player_record.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kedit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kfm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/khelpcenter.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/konsole.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kuser.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kedit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kfm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/khelpcenter.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/konsole.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kuser.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/xfce4-backdrop.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/xfce4-backdrop.svg
rm -f %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/xfwm4.svg

# cleate filelist
find %{buildroot}/%{_datadir}/icons/hicolor \
    -name "*.png" -or -name "*.icon" -or -name "*.svg" | \
    sed "s@%{buildroot}@@" > hicolor.lst

%clean
rm -rf --preserve-root %{buildroot}

%post
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet $dir
    fi
  fi
done

%files -f hicolor.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/icons/gnome
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.18.0-2m)
- modify %%install to avoid conflicting with KDE and XFCE4

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0.1-2m)
- specify automake version 1.9

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0.1-1m)
- update to 2.16.0.1

* Mon Aug 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-7m)
- clean up spec

* Wed Aug  2 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.14.1-6m)
- add PreReq: gtk+-common

* Sat Jul  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-5m)
- delete duplicate files

* Sat Jul 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.14.1-4m)
- copy /usr/share/icons/gnome to /usr/share/icons/hicolor to fix the issue that some icons of gnome apps are not displayed in KDE, fluxbox, twm etc.

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-3m)
- delete duplicated dir

* Sat Apr  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2-2m)
- add web-browser.png (Source1)
- add BuildRequires: icon-naming-utils
- add patch0

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Sun Feb 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-4m)
- fix conflict files

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-3m)
- comment out autoreconf

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.1-2m)
- enable x86_64

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- version up
- GNOME 2.12.1 Desktop

* Sat Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.0-1m)
- GNOME 2.8 Desktop

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (1.2.3-1m)
- version 1.2.3

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-1m)
- version 1.2.1

* Sun Apr 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-3m)
- add --disable-hicolor-check at configure
  for not check index.theme, becase there is no need check
  /usr/share/icons/gnome/index.theme
  that file is provide by kdelibs-3.2.1-3m

* Fri Apr 16 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.0-2m)
- change %%{_datadir}/icons/* (add icons/hicolor directory)

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.0-1m)
- version 1.2.0
- GNOME 2.6 Desktop
- add %%{_libdir}/pkgconfig/*.pc

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.9-2m)
- s/Copyright:/License:/

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.9-1m)
- version 1.0.9

* Thu Jul 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.6-1m)
- version 1.0.6

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.5-1m)
- version 1.0.5

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.4-1m)
- version 1.0.4

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-1m)
- version 1.0.3

* Tue Apr 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.2-1m)
- version 1.0.2

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.1-1m)
- version 1.0.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.0-1m)
- version 1.0.0

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.91-1m)
- version 0.91

* Tue Dec 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.5-1m)
- version 0.1.5

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.4-1m)
- version 0.1.4

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.3-1m)
- version 0.1.3

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.1-1m)
- version 0.1.1

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.0-1m)
- import
